当前位置:首页 前端开发 正文
+2°

jQuery 2.0将不再支持IE 6/7/8相关特性

2012年07月12日 | 作者: 米豆网 - 1000seo | 分类: 前端开发 | 

jQuery官方发布了下一阶段jQuery的路线图,该路线图显示jQuery 1.8将在一个月内发布,而其他后续版本的计划如下:

 

  • jQuery 1.9:将在2013年初发布,该版本将移除许多在1.8中不建议使用的API,其中一些将作为插件或备选API。该版本仍将支持IE 6/7/8。
  • jQuery 1.9.x:为1.9正式版发布后的修复版本,主要修复发现的bug等。
  • jQuery 2.0:将在2013年初,1.9版本之后不久就会发布,该版本将延续1.9版本所支持的API,但会移除对IE 6/7/8中的相关特性的支持,如事件模型、IE7 “attroperties”以及HTML5 shims框架等。
  • jQuery 1.9和2.0支持相同的API,它们可以互换使用。如果你需要支持IE 6/7/8,那就选择1.9版本;否则,两个版本选择其一即可。

你也可以使用下面的代码:

  1. <!- -[if lt IE 9]>
  2. <script src=”jquery-1.9.0.js”></script>
  3. <![endif]- ->
  4. <!–[if gte IE 9]><!- ->
  5. <script src=”jquery-2.0.0.js”><</script>
  6. <!–<![endif]- ->

详细的说明请看官方博客:blog.jquery.com

本文章由 米豆网 - 1000seo 于2012年07月12日发布在前端开发分类下,您可以发表评论,并在保留原文地址及作者的情况下引用到你的网站或博客。
+复制链接 转载请注明:jQuery 2.0将不再支持IE 6/7/8相关特性-米豆网
关键字:, ,

好文章就要一起分享!

更多

目前共有2条留言

  • Stretch

    1楼
    2016 年 06 月 08 日 06:25:17 回复

    Times are chnnaigg for the better if I can get this online!

  • 微健康

    2楼
    2012 年 07 月 12 日 18:15:41 回复

    好多代码啊 :!:

发表评论

你的大名(必填)

你的邮箱(必填)

你的网站(选填)

评论内容(必填)

icon_wink.gif icon_neutral.gif icon_mad.gif icon_twisted.gif icon_smile.gif icon_eek.gif icon_sad.gif icon_rolleyes.gif icon_razz.gif icon_redface.gif icon_surprised.gif icon_mrgreen.gif icon_lol.gif icon_idea.gif icon_biggrin.gif icon_evil.gif icon_cry.gif icon_cool.gif icon_arrow.gif icon_confused.gif icon_question.gif icon_exclaim.gif